CORETEMP(4)

NAME
coretemp - device driver for Intel Core on-die digital thermal sensor

SYNOPSIS
To compile this driver into the kernel, place the following line in your kernel configuration file:

device coretemp

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    coretemp_load="YES"

DESCRIPTION
The coretemp driver provides support for the on-die digital thermal sensor present in Intel Core and newer CPUs.

The coretemp driver reports each core's temperature through a sysctl node in the corresponding CPU device's sysctl tree, named dev.cpu.%d.temperature.

SEE ALSO
sysctl(8)

HISTORY
The coretemp driver first appeared in FreeBSD 7.0.

AUTHORS
-nosplit The coretemp driver was written by Rui Paulo <rpaulo@FreeBSD.org> as part of a Google Summer of Code project. This manual page was written by Dag-Erling Smørgrav <des@FreeBSD.org>.